Get Currencies
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/currencies \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '""'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/currencies"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"code": "KES",
"decimals": 2,
"marketRate": "128.615",
"name": "Kenyan Shilling",
"shortName": "KES",
"symbol": "KSh"
},
{
"code": "NGN",
"decimals": 2,
"marketRate": "1477.21",
"name": "Nigerian Naira",
"shortName": "Naira",
"symbol": "₦"
},
{
"code": "TZS",
"decimals": 2,
"marketRate": "2581.77",
"name": "Tanzanian Shilling",
"shortName": "TZS",
"symbol": "TSh"
},
{
"code": "UGX",
"decimals": 2,
"marketRate": "3536.3",
"name": "Ugandan Shilling",
"shortName": "UGX",
"symbol": "USh"
},
{
"code": "BRL",
"decimals": 2,
"marketRate": "5.36",
"name": "Brazilian Real",
"shortName": "Real",
"symbol": "R$"
},
{
"code": "MWK",
"decimals": 2,
"marketRate": "1734.83",
"name": "Malawian Kwacha",
"shortName": "Kwacha",
"symbol": "MK"
}
],
"message": "Currencies fetched successfully",
"status": true
}Get Currencies
Get Currencies
GET
/
v1
/
wallets
/
{walletId}
/
withdraw
/
fiat
/
currencies
Get Currencies
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[
{
"code": "KES",
"decimals": 2,
"marketRate": "128.615",
"name": "Kenyan Shilling",
"shortName": "KES",
"symbol": "KSh"
},
{
"code": "NGN",
"decimals": 2,
"marketRate": "1477.21",
"name": "Nigerian Naira",
"shortName": "Naira",
"symbol": "₦"
},
{
"code": "TZS",
"decimals": 2,
"marketRate": "2581.77",
"name": "Tanzanian Shilling",
"shortName": "TZS",
"symbol": "TSh"
},
{
"code": "UGX",
"decimals": 2,
"marketRate": "3536.3",
"name": "Ugandan Shilling",
"shortName": "UGX",
"symbol": "USh"
},
{
"code": "BRL",
"decimals": 2,
"marketRate": "5.36",
"name": "Brazilian Real",
"shortName": "Real",
"symbol": "R$"
},
{
"code": "MWK",
"decimals": 2,
"marketRate": "1734.83",
"name": "Malawian Kwacha",
"shortName": "Kwacha",
"symbol": "MK"
}
]
Example:
"Currencies fetched successfully"
Example:
true

